SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for `Worker`
-- ----------------------------
DROP TABLE IF EXISTS `Worker`;
CREATE TABLE `Worker` (
  `workerId` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `surname` varchar(20) NOT NULL,
  `phoneNumber` varchar(16) NOT NULL,
  `email` varchar(30) NOT NULL,
  `department` varchar(30) NOT NULL,
  PRIMARY KEY (`workerId`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records of Worker
-- ----------------------------
INSERT INTO Worker VALUES ('1', 'Federico', 'Arevalo', '754223355', 'farevalo@uoc.edu', 'Help Desk');
INSERT INTO Worker VALUES ('2', 'Miguel', 'Souto', '754662244', 'msoutob@uoc.edu', 'Help Desk');
INSERT INTO Worker VALUES ('3', 'Elisabeth', 'Puertas', '758998877', 'lizbel@uoc.edu', 'Help Desk');
INSERT INTO Worker VALUES ('4', 'Reinaldo', 'Soria', '756668899', 'rinee@uoc.edu', 'Help Desk');
INSERT INTO Worker VALUES ('5', 'Ana Luisa', 'Rodriguez', '741223366', 'analys@uoc.edu', 'Help Desk');
INSERT INTO Worker VALUES ('6', 'Antonio', 'Puentes', '741223333', 'anpue@uoc.edu', 'Direction');
INSERT INTO Worker VALUES ('7', 'Camila', 'Asenjo', '741223322', 'camase@uoc.edu', 'Financial');
INSERT INTO Worker VALUES ('8', 'Leire', 'Berzosa', '741223311', 'leiber@uoc.edu', 'Direction');
INSERT INTO Worker VALUES ('9', 'Felipe', 'Navajo', '741223300', 'fenava@uoc.edu', 'Human Relations');

-- ----------------------------
-- Table structure for `Engineer`
-- ----------------------------
DROP TABLE IF EXISTS `Engineer`;
CREATE TABLE `Engineer` (
  `workerId` int(11) NOT NULL,
  `login` varchar(20) NOT NULL,
  `password` varchar(20) NOT NULL,
  `profile` int(11) NOT NULL COMMENT '0- engineer\n1- root',
  PRIMARY KEY (`workerId`),
  KEY `alt_key` (`login`),
  CONSTRAINT `fk_constraint_worker_data` FOREIGN KEY (`workerId`) REFERENCES `Worker` (`workerId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records of Engineer
-- ----------------------------
INSERT INTO Engineer VALUES ('1', 'farevalo', 'farevalo', '1');
INSERT INTO Engineer VALUES ('2', 'msoutob', 'msoutob', '1');
INSERT INTO Engineer VALUES ('3', 'lizbel', 'lizbel', '0');
INSERT INTO Engineer VALUES ('4', 'rineey', 'rineey', '0');
INSERT INTO Engineer VALUES ('5', 'analys', 'analys', '0');

-- ----------------------------
-- Table structure for `Incident`
-- ----------------------------
DROP TABLE IF EXISTS `Incident`;
CREATE TABLE `Incident` (
  `incidentId` int(11) NOT NULL AUTO_INCREMENT,
  `workerId` int(11) NOT NULL,
  `engineerId` int(11) DEFAULT NULL,
  `incidentDescription` varchar(200) NOT NULL,
  `incidentSolution` varchar(200) DEFAULT NULL,
  `incidentOpen` TIMESTAMP NOT NULL,
  `incidentClose` TIMESTAMP,
  `incidentState` int(11) NOT NULL COMMENT '0- notAssigned\n1- assigned\n2- working on it\n3- solved\n4- reopened',
  PRIMARY KEY (`incidentId`),
  CONSTRAINT `fk_constraint_worker` FOREIGN KEY (`workerId`) REFERENCES `Worker` (`workerId`),
  CONSTRAINT `fk_constraint_engineer` FOREIGN KEY (`engineerId`) REFERENCES `Engineer` (`workerId`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;

-- ----------------------------
-- Records of Incident
-- ----------------------------
INSERT INTO Incident VALUES ('1', '9', null, 'El ordenador no me arranca.', null, '2013-12-17 08:43:24', null, '0');
INSERT INTO Incident VALUES ('2', '8', null, 'El monitor no se enciende.', null, '2013-12-17 10:20:13', null, '0');
INSERT INTO Incident VALUES ('3', '7', '3', 'Aparece un fallo raro.', null, '2013-12-15 12:43:24', null, '1');
INSERT INTO Incident VALUES ('4', '9', '3', 'El ratón no se mueve.', null, '2013-12-14 10:33:14', null, '2');
INSERT INTO Incident VALUES ('5', '8', '4', 'El posavasos se ha atrancado.', null, '2013-12-16 13:20:41', null, '1');
INSERT INTO Incident VALUES ('6', '7', '4', 'No suena la música.', null, '2013-12-14 08:11:51', null, '2');
INSERT INTO Incident VALUES ('7', '6', '5', 'No puedo acceder a Internet.', 'Enchufar cable de red', '2013-12-10 11:23:24', '2013-12-10 12:08:10', '3');
INSERT INTO Incident VALUES ('8', '7', '5', 'Me ha desaparecido el archivo de contabilidad mensual.', null, '2013-12-14 12:51:03', null, '1');
INSERT INTO Incident VALUES ('9', '6', null, 'La caja hace ruidos.', null, '2013-12-17 07:56:07', null, '0');
INSERT INTO Incident VALUES ('10', '6', null, 'Tengo un virus que no me deja abrir los correos.', null, '2013-12-17 08:01:09', null, '0');