package edu.uoc.helpDesk.entities;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

/**
 * Clase que almacena una entidad de datos de tipo Worker o Trabajador.
 * 
 * @author Miguel Souto Bartolomé
 * @version 1.0 13/01/2014
 * 
 */
@Entity
public class Worker implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * El método de creación.
	 */
	public Worker() {
		super();
	}

	/**
	 * El identificador del trabajador.
	 */
	@Id
	@GeneratedValue
	private int workerId;
	
	/**
	 * El nombre del trabajador.
	 */
	private String name;
	
	/**
	 * El apellido del trabajador.
	 */
	private String surname;
	
	/**
	 * El número de teléfono del trabajador.
	 */
	private String phoneNumber;
	
	/**
	 * El correo electrónico del trabajador.
	 */
	private String email;
	
	/**
	 * El departamento del trabajador.
	 */
	private String department;
	

	/**
	 * Obtiene el identificador del trabajador.
	 * 
	 * @return El identificador del trabajador.
	 */
	public int getWorkerId() {
		return workerId;
	}

	/**
	 * Asigna el identificador del trabajador.
	 * 
	 * @param workerId El identificador del trabajador.
	 */
	public void setWorkerId(int workerId) {
		this.workerId = workerId;
	}

	/**
	 * Obtiene el nombre del trabajador.
	 * 
	 * @return El nombre del trabajador.
	 */
	public String getName() {
		return name;
	}

	/**
	 * Asigna el nombre del trabajador.
	 * 
	 * @param name El nombre del trabajador.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Obtiene el apellido del trabajador.
	 * 
	 * @return El apellido del trabajador.
	 */
	public String getSurname() {
		return surname;
	}

	/**
	 * Asigna el apellido del trabajador.
	 * 
	 * @param surname El apellido del trabajador.
	 */
	public void setSurname(String surname) {
		this.surname = surname;
	}

	/**
	 * Obtiene el teléfono del trabajador.
	 * 
	 * @return El teléfono del trabajador.
	 */
	public String getPhoneNumber() {
		return phoneNumber;
	}

	/**
	 * Asigna el teléfono del trabajador.
	 * 
	 * @param phoneNumber El teléfono del trabajador.
	 */
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	/**
	 * Obtiene el correo electrónico del trabajador.
	 * 
	 * @return El correo electrónico del trabajador.
	 */
	public String getEmail() {
		return email;
	}

	/**
	 * Asigna el correo electrónico del trabajador.
	 * 
	 * @param email El correo electrónico del trabajador.
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * Obtiene el departamento del trabajador.
	 * 
	 * @return El departamento del trabajador.
	 */
	public String getDepartment() {
		return department;
	}

	/**
	 * Asigna el departamento del trabajador.
	 * 
	 * @param department El departamento del trabajador.
	 */
	public void setDepartment(String department) {
		this.department = department;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "Worker [workerId=" + workerId + ", name=" + name + ", surname="
				+ surname + ", phoneNumber=" + phoneNumber + ", email=" + email
				+ ", department=" + department + "]";
	}
}
