package edu.uoc.helpDesk.command;

import java.util.Locale;

import edu.uoc.helpDesk.form.LocaleForm;
import edu.uoc.myst.auxiliary.Constants;
import edu.uoc.myst.command.AbstractCommand;

/**
 * Coamndo que cambia la región de la sesión, para mostrar la apliación en el idioma
 * adecuado. HelpDesk está regionalizada en inglés y español.
 * 
 * @author Miguel Souto Bartolomé
 * @version 1.0 13/01/2014
 *
 */
public class ChangeLanguageCommand extends AbstractCommand {
	
	/* (non-Javadoc)
	 * @see edu.uoc.myst.command.Command#execute()
	 */
	public String execute() {
		
		// El formulario con los datos de entrada.
		LocaleForm formBean = (LocaleForm) getFormBean();	
		
		// Se cambia al idioma pasado en la petición.
		contextObject.setLocalization(new Locale(formBean.getLocale()));
		return Constants.SUCCESS;
	}
}
