package edu.uoc.helpDesk.command;

import java.util.List;

import edu.uoc.helpDesk.bussinesslogic.HelpDeskEngineer;
import edu.uoc.helpDesk.entities.Engineer;
import edu.uoc.helpDesk.utility.BeanAccess;
import edu.uoc.myst.auxiliary.Constants;
import edu.uoc.myst.command.AbstractCommand;

/**
 * Comando que obtiene todos los ingenieros.
 * 
 * @author Miguel Souto Bartolomé
 * @version 1.0 13/01/2014
 * 
 */
public class FindAllEngineersCommand extends AbstractCommand {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.uoc.myst.command.Command#execute()
	 */
	public String execute() {

		// El bean de sesión.
		HelpDeskEngineer engineerBean = BeanAccess.getEngineerBean();

		// Se obtiene un listado con todos los ingenieros.
		List<Engineer> ingenieros = engineerBean.findAllEngineers();

		// Si el listado no está vacío se añade al ViewHelper.
		if (!ingenieros.isEmpty()) {
			viewHelper.addParameter("engineers", ingenieros);
			return Constants.SUCCESS;

		} else {
			/*
			 * En caso contrario se devuelve un fallo, para mostrar el mensaje
			 * pertinente.
			 */
			return Constants.FAIL;
		}
	}
}
