package edu.uoc.helpDesk.command;

import java.util.List;

import edu.uoc.helpDesk.bussinesslogic.HelpDeskEngineer;
import edu.uoc.helpDesk.entities.Incident;
import edu.uoc.helpDesk.form.FindIncidentsWorkerForm;
import edu.uoc.helpDesk.utility.BeanAccess;
import edu.uoc.myst.auxiliary.Constants;
import edu.uoc.myst.command.AbstractCommand;

/**
 * Comando que obtiene las incidencias comunicadas por un trabajador.
 * 
 * @author Miguel Souto Bartolomé
 * @version 1.0 13/01/2014
 * 
 */
public class FindIncidentsWorkerCommand extends AbstractCommand {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.uoc.myst.command.Command#execute()
	 */
	public String execute() {

		// El formulario con los datos de entrada.
		FindIncidentsWorkerForm formBean = (FindIncidentsWorkerForm) getFormBean();

		// El bean de sesión.
		HelpDeskEngineer engineerBean = BeanAccess.getEngineerBean();

		/*
		 * Se obtiene un listado con las incidencias comunicadas por el
		 * trabajador pasado como parámetro en la petición.
		 */
		List<Incident> incidentes = engineerBean.findIncidentsWorker(formBean
				.getWorkerId());

		// Si el listado no está vacío se añade al ViewHelper.
		if (!incidentes.isEmpty()) {
			viewHelper.addParameter("incidents", incidentes);
			return Constants.SUCCESS;

		} else {
			/*
			 * En caso contrario se devuelve un fallo, para mostrar el mensaje
			 * pertinente.
			 */
			return Constants.FAIL;
		}
	}
}
