package edu.uoc.helpDesk.command;

import java.util.List;

import edu.uoc.helpDesk.bussinesslogic.HelpDeskEngineer;
import edu.uoc.helpDesk.entities.Incident;
import edu.uoc.helpDesk.utility.BeanAccess;
import edu.uoc.myst.auxiliary.Constants;
import edu.uoc.myst.command.AbstractCommand;

/**
 * Comando que obtiene todas las incidencias sin un ingeniero asignado.
 * 
 * @author Miguel Souto Bartolomé
 * @version 1.0 13/01/2014
 * 
 */
public class FindUnassignedIncidentsCommand extends AbstractCommand {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.uoc.myst.command.Command#execute()
	 */
	public String execute() {

		// El bean de sesión.
		HelpDeskEngineer engineerBean = BeanAccess.getEngineerBean();

		// Se obtiene un listado con todas las incidencias sin asignar.
		List<Incident> incidentes = engineerBean.findUnassignedIncidents();

		// Si el listado no está vacío se añade al ViewHelper.
		if (!incidentes.isEmpty()) {
			viewHelper.addParameter("incidents", incidentes);
			viewHelper.addParameter("source", "list");
			return Constants.SUCCESS;

		} else {
			/*
			 * En caso contrario se devuelve un fallo, para mostrar el mensaje
			 * pertinente.
			 */
			return Constants.FAIL;
		}
	}
}
