package edu.uoc.helpDesk.command;

import java.util.List;

import edu.uoc.helpDesk.bussinesslogic.HelpDeskEngineer;
import edu.uoc.helpDesk.entities.Engineer;
import edu.uoc.helpDesk.entities.Incident;
import edu.uoc.helpDesk.form.SelectIncidentForm;
import edu.uoc.helpDesk.utility.BeanAccess;
import edu.uoc.myst.auxiliary.Constants;
import edu.uoc.myst.command.AbstractCommand;

/**
 * Comando que mustra una incidencia.
 * 
 * @author Miguel Souto Bartolomé
 * @version 1.0 13/01/2014
 * 
 */
public class ShowIncidentCommand extends AbstractCommand {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.uoc.myst.command.Command#execute()
	 */
	public String execute() {

		// El formulario con los datos de entrada.
		SelectIncidentForm formBean = (SelectIncidentForm) getFormBean();

		// El bean de sesión.
		HelpDeskEngineer engineerBean = BeanAccess.getEngineerBean();

		/* Se recupera la incidencia pasada como parámetro en la petición y se 
		 * añade al ViewHelper.
		 */
		Incident incidente = engineerBean
				.findIncident(formBean.getIncidentId());
		viewHelper.addParameter("incident", incidente);

		/*
		 * Si el ingeniero es un administrador se recupera un listado con todos
		 * los ingenieros y se añade al ViewHelper.
		 */
		if (getSessionParameter("account").equals("root")) {
			List<Engineer> ingenieros = engineerBean.findAllEngineers();
			viewHelper.addParameter("engineers", ingenieros);
		}

		/*
		 * El parámetro source marca la última operación realizada, para mostrar
		 * un mensaje adecuado por pantalla.
		 */
		viewHelper.addParameter("source", "show");
		return Constants.SUCCESS;
	}
}
