package edu.uoc.helpDesk.exception;

import java.util.Locale;

import edu.uoc.myst.exception.MystException;
import edu.uoc.myst.international.I18N;

/**
 * Excepción causada cuando un ingeniero trata de acceder a recursos exclusivos
 * para administradores.
 * 
 * @author Miguel Souto Bartolomé
 * @version 1.0 13/01/2014
 * 
 */
public class NoRootException extends MystException {

	private static final long serialVersionUID = 1L;

	/**
	 * El ingeniero que realiza la petición.
	 */
	private int engineerId;

	/**
	 * Método de creación. Asigna el ingeniero.</p>
	 * 
	 * @param engineerId
	 *            El ingeniero.
	 * 
	 */
	public NoRootException(int engineerId) {
		this.engineerId = engineerId;

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * edu.uoc.myst.exception.exceptions.MystException#getLocalizedMessage(java
	 * .util.Locale)
	 */
	public String getLocalizedMessage(Locale localization) {
		Object[] messageArguments = { engineerId };
		return I18N.getMessage("HelpDeskBundle", "noRoot", messageArguments,
				localization);
	}
}
