package edu.uoc.helpDesk.filter;

import edu.uoc.helpDesk.exception.NoRootException;
import edu.uoc.myst.filter.AbstractFilter;
import edu.uoc.myst.auxiliary.Constants;

/**
 * Filtro de entrada que comprueba que el usuario es administrador.</p>
 * 
 * @author Miguel Souto Bartolomé
 * @version 1.0 13/01/2014
 * 
 */
public class IsRootFilter extends AbstractFilter {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.uoc.myst.filter.Filter#execute()
	 */
	public String execute() throws NoRootException {

		/*
		 * Se comprueba en los parámtros de sesión si el ingeniero es
		 * administrador. o "root".
		 */
		if (getSessionParameter("account").equals("root")) {
			return Constants.SUCCESS;

		} else {
			/*
			 * En cualquier otro caso un ingeniero no administrador ha intentado
			 * acceder a recursos sobre los que no tiene permisos.
			 */
			throw new NoRootException((Integer) getSessionParameter("engineer"));
		}
	}
}
