package edu.uoc.helpDesk.filter;

import edu.uoc.helpDesk.form.LoginForm;
import edu.uoc.myst.filter.AbstractFilter;
import edu.uoc.myst.auxiliary.Constants;

/**
 * Filtro de entrada que comprueba que los datos de entrada del login son
 * válidos. Para ello comprueba sus restricciones físicas y lógicas: el nombre
 * de usuario debe empezar por una letra, y tanto este como la contraseña deben
 * tener una longitud mínima de 8 y máxima de 20.
 * 
 * @author Miguel Souto Bartolomé
 * @version 1.0 13/01/2014
 * 
 */
public class ValidateLoginFilter extends AbstractFilter {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.uoc.myst.filter.Filter#execute()
	 */
	public String execute() {

		LoginForm formBean = (LoginForm) getFormBean();
		if (formBean.getUsername().matches("[a-zA-Z]*")
				&& (formBean.getUsername().length() <= 20)
				&& (formBean.getPassword().length() <= 20)
				&& (formBean.getUsername().length() >= 6)
				&& (formBean.getPassword().length() >= 6)) {
			return Constants.SUCCESS;
			
		} else {
			// Devolver un FAIL lanzará una excepción de tipo FilterException
			return Constants.FAIL;
		}
	}
}
