<!-- Pgina que muestra una tabla con los datos de los ingenieros. Permite mostrar las
	incidencias que tiene asignadas cada uno de ellos. -->

<html>
<head>
	<!-- La cabecera. -->
	<%@include file="/jsp/header.jsp"%>
</head>
<body>
<div>
	<!-- El men lateral. -->
	<%@include file="/jsp/leftMenu.jsp"%>
	
	<div class="div_center">
	
	<!-- La tabla con los datos de los ingenieros. -->
	<table class="workers_table">
	
		<!--El ttulo de la tabla. -->
		<tr>
			<th colspan="5" scope="col"><myst:i18n message="engineers" bundle="/bundles/HelpDeskBundle" /></th>
		</tr>	
		
		<!-- El encabezamiento de la tabla, con el nombre de las columnas. -->
  		<tr>
  			<!-- Primera columna: muestra el apellido y nombre del ingeniero. -->
    		<th scope="col"><myst:i18n message="name" bundle="/bundles/HelpDeskBundle" /></th>
    		
    		<!-- Segunda columna: muestra el perfil del ingeniero. -->
    		<th scope="col"><myst:i18n message="profile" bundle="/bundles/HelpDeskBundle" /></th>
    		
    		<!-- Tercera columna: muestra el telfono del ingeniero. -->
    		<th scope="col"><myst:i18n message="phone" bundle="/bundles/HelpDeskBundle" /></th>
    		
    		<!-- Cuarta columna: muestra el email del ingeniero. -->
    		<th scope="col"><myst:i18n message="email" bundle="/bundles/HelpDeskBundle" /></th>
    		
    		<!-- Quinta columna: muestra un botn que permite solicitar las incidencias
    			asignadas al ingeniero. -->
    		<th scope="col"></th>
  		</tr>
  		
  		<!-- Bucle que recupera del ViewHelper los datos de los diferentes ingenieros. -->
  		<myst:iter var="itera" element="engineers">
			<tr>
				<td><myst:form element="${itera}.workerId.surname" />, <myst:form 
				element="${itera}.workerId.name" /></td>
				<td>
					<myst:set var="profile" element="${itera}.profile" />
					<c:choose>
						<c:when test="${profile == 0}">
							<myst:i18n message="profEngineer" bundle="/bundles/HelpDeskBundle" />
						</c:when>
						<c:otherwise>
							<myst:i18n message="profRoot" bundle="/bundles/HelpDeskBundle" />							
						</c:otherwise>
					</c:choose>	
				</td>
				<td><myst:form element="${itera}.workerId.phoneNumber" /></td>
				<td><myst:form element="${itera}.workerId.email" /></td>
				<td><button onclick=location="findIncidentsEngineer.do?engineerId=<myst:form
					element="${itera}.workerId.workerId" />"><myst:i18n message="showIncidents"
					bundle="/bundles/HelpDeskBundle" /></button></td>
			</tr>
		</myst:iter>
	</table>		
	</div>
</div>	
</body>
</html>