<!-- Pgina que muestra los datos de una icidencia, y permite gestionarla. Dependiendo de si
	el ingeniero es un administrador o un ingeniero normal, tendr diferentes opciones. -->
	
<html>
<head>
	<!-- La cabecera. -->
	<%@include file="/jsp/header.jsp"%>	
</head>
<body>
	<div>
		<!-- El men lateral. -->
		<%@include file="/jsp/leftMenu.jsp"%>
	<div class="div_center">
	<p>
		<!-- Muestra el identificador de la incidencia. -->
		<b><myst:i18n message="incidentId" bundle="/bundles/HelpDeskBundle" />: </b><myst:form
		element="incident.incidentId" />
	</p>
	
	<!-- Asigna a la variable "state" el valor del estado de la incidencia, que se obtiene del
		ViewHelper. -->
	<myst:set var="state" element="incident.incidentState" />		
	<p>
		<b><myst:i18n message="state" bundle="/bundles/HelpDeskBundle" />: </b>
		
		<!-- Muestra un mensaje dependiendo del valor numrico de "state". -->
		<c:choose>
			<c:when test="${state == 0}">
				<myst:i18n message="notAssigned" bundle="/bundles/HelpDeskBundle" />
			</c:when>
			<c:when test="${state == 1}">
				<myst:i18n message="assigned" bundle="/bundles/HelpDeskBundle" />
			</c:when>
			<c:when test="${state == 2}">
				<myst:i18n message="onIt" bundle="/bundles/HelpDeskBundle" />
			</c:when>
			<c:when test="${state == 3}">
				<myst:i18n message="closed" bundle="/bundles/HelpDeskBundle" />
			</c:when>
			<c:when test="${state == 4}">
				<myst:i18n message="reopened" bundle="/bundles/HelpDeskBundle" />
			</c:when>
		</c:choose>
	</p>
	<p>
		<!-- Muestra la fecha de apertura de la incidencia. -->
		<b><myst:i18n message="incidentOpen" bundle="/bundles/HelpDeskBundle" />: </b><myst:form
		element="incident.incidentOpen" />
	</p>
	<p>
		<!-- Muestra la fecha de cierre de la incidencia, o un guin si no est cerrada. -->
		<b><myst:i18n message="incidentClose" bundle="/bundles/HelpDeskBundle" />: </b>
		<c:choose>
			<c:when test="${state == 3}">
				<myst:form element="incident.incidentClose" />
			</c:when>
			<c:otherwise>
				-
			</c:otherwise>
		</c:choose>
	</p>
	
	<!-- Muestra una tabla con los siguientes datos del trabajador que ha comunicado
		la incidencia:
			Apellido y nombre.
			Email.
			Telfono. -->
	<b><myst:i18n message="worker" bundle="/bundles/HelpDeskBundle" />:</b>
	<table>
		<tr>
			<td><myst:i18n message="name" bundle="/bundles/HelpDeskBundle"
			/>: <myst:form element="incident.workerId.surname" />, <myst:form
			element="incident.workerId.name" /></td>
		</tr>
		<tr>
			<td><myst:i18n message="email" bundle="/bundles/HelpDeskBundle"
			/>: <myst:form element="incident.workerId.email" /></td>
		</tr>
		<tr>
			<td><myst:i18n message="phone" bundle="/bundles/HelpDeskBundle"
			/>: <myst:form element="incident.workerId.phoneNumber" /></td>
		</tr>
	</table>
	
	<!-- Muestra una tabla con los siguientes datos del ingeniero a quien ha sido asignada
		la incidencia, o un guin si an no ha sido asignada:
			Apellido y nombre.
			Email.
			Telfono.
		Solamente lo muestra en caso de que el ingeniero sea un administrador, pues para el
		resto de ingenieros sern simplemente sus propios datos personales. -->
	<c:if test="${engineer == 'root'}">	
		<br/>	
		<b><myst:i18n message="engineer" bundle="/bundles/HelpDeskBundle" />: </b>								
		<c:choose>
			<c:when test="${state == 0}">
				-
			</c:when>
			<c:otherwise>
				<table>
					<tr>
						<td><myst:i18n message="name" bundle="/bundles/HelpDeskBundle"
						 />: <myst:form element="incident.engineerId.workerId.surname"
						 />, <myst:form	element="incident.engineerId.workerId.name" /></td>
					</tr>
					<tr>
						<td><myst:i18n message="email" bundle="/bundles/HelpDeskBundle"
						 />: <myst:form element="incident.engineerId.workerId.email"/></td>
					</tr>
					<tr>
						<td><myst:i18n message="phone" bundle="/bundles/HelpDeskBundle"
						 />: <myst:form element="incident.engineerId.workerId.phoneNumber" /></td>
					</tr>
				</table>
			</c:otherwise>
		</c:choose>				
	</c:if>
	
	<!-- Muestra la descripcin de la incidencia. -->
	<p><b><myst:i18n message="description" bundle="/bundles/HelpDeskBundle"
		 />: </b><myst:form element="incident.incidentDescription" />
	</p>
	
	<!-- Muestra o bien la solucin de la incidencia, si esta ha sido cerrada, o un formulario
		para poder introducir la solucin propuesta. Si la incidencia est abierta y no hay
		ninguna solucin descrita, se muestra un mensaje solicitando al ingeniero que
		introduzca una. -->
	<p><b><myst:i18n message="solution" bundle="/bundles/HelpDeskBundle" />: </b>
		<myst:set var="thisSolution" element="incident.incidentSolution" />
		<c:choose>					
			<c:when test="${state != 3}">
				<form name="formUpdate"
				action="modifyIncident.do?incidentId=<myst:form element="incident.incidentId" />"
				method="post">
					<textarea name="incidentSolution" maxlength="200"
					class="textareastyle"><c:choose><c:when 
					 test="${(empty thisSolution)||(thisSolution == 'null')}"><myst:i18n
			 		message="newSolution" bundle="/bundles/HelpDeskBundle"
				  	/></c:when><c:otherwise>${thisSolution}</c:otherwise></c:choose></textarea>
				<button type="submit"><myst:i18n message="update" bundle="/bundles/HelpDeskBundle"/></button>
				</form>
			</c:when>
			<c:otherwise>
				${thisSolution}
			</c:otherwise>
		</c:choose>
	</p>
			
	<HR width=80% align="center">
	
	<!-- Si el estado de la incidencia es "asignada" o "reabierta", se muestran dos botones.
		Uno permite marcar la solucin como "en proceso", y el otro permite cerrarla. -->
	<c:if test="${(state == 1)||(state == 4)}">
		<button onclick=location="workIncident.do?incidentId=<myst:form element="incident.incidentId"
		 />"><myst:i18n message="markInWork" bundle="/bundles/HelpDeskBundle" /></button>
		<button onclick=location="closeIncident.do?incidentId=<myst:form element="incident.incidentId"
		 />"><myst:i18n message="markSolved" bundle="/bundles/HelpDeskBundle" /></button>
		 <HR width=80% align="center">
	</c:if>
	
	<!-- Si el estado de la incidencia es "en proceso", se muestran un botn que permite cerrarla. -->
	<c:if test="${state == 2}">
		<button onclick=location="closeIncident.do?incidentId=<myst:form element="incident.incidentId"
		 />"><myst:i18n message="markSolved" bundle="/bundles/HelpDeskBundle" /></button>
		 <HR width=80% align="center">
	</c:if>
	
	<!-- Si el estado de la incidencia es "cerrada" y el ingeniero es un administrador, se muestra
		un botn que permite reabrirla. -->
	<c:if test="${state == 3}">
		<c:if test="${engineer == 'root'}">
			<button onclick=location="reopenIncident.do?incidentId=<myst:form
			 element="incident.incidentId" />"><myst:i18n message="reopen"
			  bundle="/bundles/HelpDeskBundle" /></button>
			 <HR width=80% align="center">
		</c:if>
	</c:if>
	
	<!-- Si el estado de la incidencia es cualquiera menos "cerrada" y el ingeniero es un
		administrador, se muestra un men desplegable que permite seleccionar cualquier
		ingeniero, y un botn que asigna la incidencia al ingeniero seleccionado. -->
	<c:if test="${state != 3}">
		<c:if test="${engineer == 'root'}">
			<form name="assignIncident"
				action="assignIncident.do?incidentId=<myst:form element="incident.incidentId" />"
				method="post">
				<select name="engineerId">
					<myst:iter var="itera" element="engineers">			
						<myst:set var="engineerId" element="${itera}.workerId.workerId" />				
 						<option value="${engineerId}">
							<myst:form element="${itera}.workerId.surname" />, <myst:form
							element="${itera}.workerId.name" /></option>
					</myst:iter>
 				</select>
				<button type="submit"><myst:i18n message="assign" bundle="/bundles/HelpDeskBundle"
				 /></button>
			</form>
		</c:if>
	</c:if>
	
	<br />
	<p class="center">
	
		<!-- Se muestra un mensaje que refleja la ltima operacin realizada sobre la incidencia. -->
		<b><myst:set var="origin" element="source" />
				<c:choose>
					<c:when test="${origin == 'inWork'}">
						<myst:i18n message="incidentInWork" bundle="/bundles/HelpDeskBundle" />
					</c:when>
					<c:when test="${origin == 'solved'}">
						<myst:i18n message="incidentClosed" bundle="/bundles/HelpDeskBundle" />
					</c:when>
					<c:when test="${origin == 'reopened'}">
						<myst:i18n message="incidentReopened" bundle="/bundles/HelpDeskBundle" />
					</c:when>
					<c:when test="${origin == 'modified'}">
						<myst:i18n message="incidentModified" bundle="/bundles/HelpDeskBundle" />
					</c:when>
					<c:when test="${origin == 'assigned'}">
						<myst:i18n message="incidentAssigned" bundle="/bundles/HelpDeskBundle" />
					</c:when>
				</c:choose>
		</b>
	</p>
	</div>
	</div>
</body>
</html>