<!-- Pgina que muestra una tabla con las incidencias que se hayan solicitado (las comunicadas
	por un trabajador, las asignadas a un ingeniero, las no asignadas o todas). Permite
	tambin seleccionar una incidencia en particular para verla en detalle.-->
	
<html>
<head>
	<!-- La cabecera. -->
	<%@include file="/jsp/header.jsp"%>
</head>
<body>
<div>
	<!-- El men lateral. -->
	<%@include file="/jsp/leftMenu.jsp"%>
	
	<div class="div_center">
	
	<!-- La tabla con los datos de las incidencias. -->
	<table class="incidents_table">
  		
  		<!--El ttulo de la tabla. -->
  		<tr>
			<th colspan="6" scope="col"><myst:i18n message="incidents" bundle="/bundles/HelpDeskBundle" /></th>
		</tr>
		
		<!-- El encabezamiento de la tabla, con el nombre de las columnas. -->
		<tr>
    		<!-- Primera columna: muestra el identificador de la incidencia. -->
    		<th scope="col"><myst:i18n message="id" bundle="/bundles/HelpDeskBundle" /></th>
    		
    		<!-- Segunda columna: muestra el estado de la incidencia. -->
    		<th scope="col"><myst:i18n message="state" bundle="/bundles/HelpDeskBundle" /></th>
    		
    		<!-- Tercera columna: muestra la fecha de apertura de la incidencia. -->
    		<th scope="col"><myst:i18n message="incidentOpen" bundle="/bundles/HelpDeskBundle" /></th>
    		
    		<!-- Cuarta columna: muestra el apellido y el nombre del trabajador que ha
    			comunicado la incidencia. -->
    		<th scope="col"><myst:i18n message="worker" bundle="/bundles/HelpDeskBundle" /></th>
    		
    		<!-- Quinta columna: muestra el apellido y el nombre del ingeniero al que ha
    			sido asignada la incidencia, o un guin si la incidencia no tiene an
    			un ingeniero asignado. -->
    		<th scope="col"><myst:i18n message="engineer" bundle="/bundles/HelpDeskBundle" /></th>
    		
    		<!-- Sexta columna: muestra un botn que permite solicitar la visualizacin de
    			la incidencia en detalle. -->
    		<th scope="col"></th>
  		</tr>
  		
  		<!-- Bucle que recupera del ViewHelper los datos de las diferentes incidencias. -->
  		<myst:iter var="itera" element="incidents">
			<tr>
				<myst:set var="incidentId" element="${itera}.incidentId" />
				<td>${incidentId}</td>
				<td>
					<myst:set var="state" element="${itera}.incidentState" />
					<c:choose>
							<c:when test="${state == 0}">
								<myst:i18n message="notAssigned" bundle="/bundles/HelpDeskBundle" />
							</c:when>
							<c:when test="${state == 1}">
								<myst:i18n message="assigned" bundle="/bundles/HelpDeskBundle" />
							</c:when>
							<c:when test="${state == 2}">
								<myst:i18n message="onIt" bundle="/bundles/HelpDeskBundle" />
							</c:when>
							<c:when test="${state == 3}">
								<myst:i18n message="closed" bundle="/bundles/HelpDeskBundle" />
							</c:when>
							<c:when test="${state == 4}">
								<myst:i18n message="reopened" bundle="/bundles/HelpDeskBundle" />
							</c:when>
						</c:choose>
					</td>
				<td><myst:form element="${itera}.incidentOpen" /></td>
				<td><myst:form element="${itera}.workerId.surname" />, <myst:form 
					element="${itera}.workerId.name" /></td>
				<td>
					<c:choose>
						<c:when test="${state == 0}">
							-
						</c:when>
						<c:otherwise>
							<myst:form element="${itera}.engineerId.workerId.surname" 
							/>, <myst:form element="${itera}.engineerId.workerId.name" />							
						</c:otherwise>
					</c:choose>	
				</td>
				<td><button onclick=location="showIncident.do?incidentId=${incidentId}">
				<myst:i18n message="showIncident" bundle="/bundles/HelpDeskBundle" /></button></td>
			</tr>
		</myst:iter>
	</table>		
	</div>
</div>	
</body>
</html>