package edu.uoc.myst.configuration.xml;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class CommandMapperAdapter extends
		XmlAdapter<CommandMapper, Map<String, CommandData>> {

	@Override
	public CommandMapper marshal(Map<String, CommandData> commands)
			throws Exception {
		CommandMapper result = new CommandMapper();
		if (commands != null) {
			for (Entry<String, CommandData> entry : commands.entrySet()) {
				result.getCommands().add(entry.getValue());
			}
		}
		return result;
	}

	@Override
	public Map<String, CommandData> unmarshal(CommandMapper commandMapper)
			throws Exception {
		Map<String, CommandData> commands = new HashMap<String, CommandData>();
		if (commandMapper != null) {
			for (CommandData c : commandMapper.getCommands()) {
				commands.put(c.getName(), c);
			}
		}
		return commands;
	}

}
