package edu.uoc.myst.configuration.xml;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class ErrorMapperAdapter extends XmlAdapter<ErrorMapper, Map<String, ErrorData>>{

	/** The Constant LOG. */
	//private static final Logger LOG = LoggerFactory.getLogger(ParameterAdapter.class);
	
	@Override
	public ErrorMapper marshal(Map<String, ErrorData> errors) throws Exception {
		//LOG.debug("marshal: {}",parametersWrapper.getParametersList());
		ErrorMapper result = new ErrorMapper();
		if (errors != null) {
			for (Entry<String, ErrorData> entry : errors.entrySet()) {
				result.getErrors().add(entry.getValue());
			}
		}
		return result;
	}

	@Override
	public Map<String, ErrorData> unmarshal(ErrorMapper errorMapper) throws Exception {
		//LOG.debug("unmarshal: {}",parameters.getParameters());
		Map<String, ErrorData> errors = new HashMap<String, ErrorData>();
		if (errorMapper != null) {
			for (ErrorData e : errorMapper.getErrors()) {
				errors.put(e.getType(), e);
			}
		}
		return errors;
	}

}
