package edu.uoc.myst.configuration.xml;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class FilterMapperAdapter extends XmlAdapter<FilterMapper, Map<String, FilterData>>{

	/** The Constant LOG. */
	//private static final Logger LOG = LoggerFactory.getLogger(ParameterAdapter.class);
	
	@Override
	public FilterMapper marshal(Map<String, FilterData> filters) throws Exception {
		//LOG.debug("marshal: {}",parametersWrapper.getParametersList());
		FilterMapper result = new FilterMapper();
		if (filters != null) {
			for (Entry<String, FilterData> entry : filters.entrySet()) {
				result.getFilter().add(entry.getValue());
			}
		}
		return result;
	}

	@Override
	public Map<String, FilterData> unmarshal(FilterMapper filterMapper) throws Exception {
		//LOG.debug("unmarshal: {}",parameters.getParameters());
		Map<String, FilterData> filters = new HashMap<String, FilterData>();
		if (filterMapper != null) {
			for (FilterData v : filterMapper.getFilter()) {
				filters.put(v.getName(), v);
			}
		}
		return filters;
	}

}
