package edu.uoc.myst.configuration.xml;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class FormMapperAdapter extends XmlAdapter<FormMapper, Map<String, FormData>>{

	/** The Constant LOG. */
	//private static final Logger LOG = LoggerFactory.getLogger(ParameterAdapter.class);
	
	@Override
	public FormMapper marshal(Map<String, FormData> forms) throws Exception {
		//LOG.debug("marshal: {}",parametersWrapper.getParametersList());
		FormMapper result = new FormMapper();
		if (forms != null) {
			for (Entry<String, FormData> entry : forms.entrySet()) {
				result.getForms().add(entry.getValue());
			}
		}
		return result;
	}

	@Override
	public Map<String, FormData> unmarshal(FormMapper formMapper) throws Exception {
		//LOG.debug("unmarshal: {}",parameters.getParameters());
		Map<String, FormData> forms = new HashMap<String, FormData>();
		if (formMapper != null) {
			for (FormData v : formMapper.getForms()) {
				forms.put(v.getName(), v);
			}
		}
		return forms;
	}

}
