package edu.uoc.myst.configuration.xml;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;
//import java.util.logging.Logger;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class ParameterMapperAdapter extends XmlAdapter<ParameterMapper, Map<String, String>>{

	/** The Constant LOG. */
	//private static final Logger LOG = LoggerFactory.getLogger(ParameterAdapter.class);
	
	@Override
	public ParameterMapper marshal(Map<String, String> parameters) throws Exception {
		//LOG.debug("marshal: {}",parametersWrapper.getParametersList());
		ParameterMapper result = new ParameterMapper();
		if (parameters != null) {
			for (Entry<String, String> entry : parameters.entrySet()) {
				result.getParameter().add(new ParameterData(entry.getKey(),entry.getValue()));
			}
		}
		return result;
	}

	@Override
	public Map<String, String> unmarshal(ParameterMapper parameters) throws Exception {
		//LOG.debug("unmarshal: {}",parameters.getParameters());
		Map<String, String> params = new HashMap<String, String>();
		if (parameters != null) {
			for (ParameterData p : parameters.getParameter()) {
				params.put(p.getName(), p.getValue());
			}
		}
		return params;
	}

}
