package edu.uoc.myst.configuration.xml;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class ViewMapperAdapter extends XmlAdapter<ViewMapper, Map<String, ViewData>>{

	/** The Constant LOG. */
	//private static final Logger LOG = LoggerFactory.getLogger(ParameterAdapter.class);
	
	@Override
	public ViewMapper marshal(Map<String, ViewData> views) throws Exception {
		//LOG.debug("marshal: {}",parametersWrapper.getParametersList());
		ViewMapper result = new ViewMapper();
		if (views != null) {
			for (Entry<String, ViewData> entry : views.entrySet()) {
				result.getViews().add(entry.getValue());
			}
		}
		return result;
	}

	@Override
	public Map<String, ViewData> unmarshal(ViewMapper viewMapper) throws Exception {
		//LOG.debug("unmarshal: {}",parameters.getParameters());
		Map<String, ViewData> views = new HashMap<String, ViewData>();
		if (viewMapper != null) {
			for (ViewData v : viewMapper.getViews()) {
				views.put(v.getName(), v);
			}
		}
		return views;
	}

}
