package edu.uoc.myst.exception;

import java.util.Locale;

/**
 * Excepcin causada cuando un objeto de una clase no puede ser convertido
 * en el tipo primitivo esperado.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0
 * 
 */
import edu.uoc.myst.international.I18N;

/**
 * Excepcin causada cuando un objeto no puede ser convertido a ningn tipo
 * primitivo Java.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class ConversionException extends MystException {

	private static final long serialVersionUID = 1L;

	/**
	 * El nombre de la clase del objeto.
	 */
	private String object;

	/**
	 * El tipo primitivo.
	 */
	private String className;

	/**
	 * Mtodo de creacin. Asigna el objeto y el tipo primitivo.</p>
	 * 
	 * @param object
	 *            El nombre de la clase del objeto.
	 * @param className
	 *            El tipo primitivo.
	 */
	public ConversionException(String object, String className) {
		this.object = object;
		this.className = className;
	}

	/* (non-Javadoc)
	 * @see edu.uoc.myst.exception.exceptions.MystException#getLocalizedMessage(java.util.Locale)
	 */
	public String getLocalizedMessage(Locale localization) {
		Object[] messageArguments = { object, className };
		return I18N.getMessage("ExceptionBundle", "badConversion",
				messageArguments, localization);
	}
}