package edu.uoc.myst.exception;

import java.util.Locale;

import edu.uoc.myst.international.I18N;

/**
 * Excepcin causada cuando un filtro devuelve un resultado errneo.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class FilterException extends MystException {

	private static final long serialVersionUID = 1L;

	/**
	 * El nombre del filtro.
	 */
	private String filter;

	/**
	 * Mtodo de creacin. Asigna el filtro.</p>
	 * 
	 * @param filter
	 *            El nombre del filtro.
	 */
	public FilterException(String filter) {
		this.filter = filter;
	}
	
	/* (non-Javadoc)
	 * @see edu.uoc.myst.exception.exceptions.MystException#getLocalizedMessage(java.util.Locale)
	 */
	public String getLocalizedMessage(Locale localization) {
		Object[] messageArguments = { filter };
		return I18N.getMessage("ExceptionBundle", "failFilter",
				messageArguments, localization);
	}
}
