package edu.uoc.myst.exception;

import java.util.Locale;

import edu.uoc.myst.international.I18N;

/**
 * Excepcin causada cuando suceden uno o ms fallos
 * en la carga de datos en un formulario.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class FormLoadException extends MystException {

	private static final long serialVersionUID = 1L;

	/**
	 * El nombre del formulario.
	 */
	private String form;

	/**
	 * Mtodo de creacin. Asigna el formulario.</p>
	 * 
	 * @param form
	 *            El nombre del formulario.
	 */
	public FormLoadException(String form) {
		this.form = form;
	}
	
	/* (non-Javadoc)
	 * @see edu.uoc.myst.exception.exceptions.MystException#getLocalizedMessage(java.util.Locale)
	 */
	public String getLocalizedMessage(Locale localization) {
		Object[] messageArguments = { form };
		return I18N.getMessage("ExceptionBundle", "failForm",
				messageArguments, localization);
	}
}
