package edu.uoc.myst.exception;

import java.util.Locale;

import edu.uoc.myst.international.I18N;

/**
 * Excepcin causada cuando sucede una excepcin y no hay ningn gestor, local o
 * global, que pueda tratarla.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class NoGlobalHandlerException extends MystException {

	private static final long serialVersionUID = 1L;

	/**
	 * El nombre de la clase de la excepcin.
	 */
	private String exception;

	/**
	 * Mtodo de creacin. Asigna la clase de la excepcin.</p>
	 * 
	 * @param exception
	 *            El nombre de la clase de la excepcin
	 */
	public NoGlobalHandlerException(String exception) {
		this.exception = exception;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * edu.uoc.myst.exception.exceptions.MystException#getLocalizedMessage(java
	 * .util.Locale)
	 */
	public String getLocalizedMessage(Locale localization) {
		Object[] messageArguments = { exception };
		return I18N.getMessage("ExceptionBundle", "notHandler",
				messageArguments, localization);
	}
}
