package edu.uoc.myst.exception;

import java.util.Locale;

import edu.uoc.myst.international.I18N;

/**
 * Excepcin causada cuando un tag trata de acceder a un elemento de la lgica
 * de negocio que no existe.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class NoParameterException extends MystException {

	private static final long serialVersionUID = 1L;

	/**
	 * El elemento.
	 */
	private String elemento;

	/**
	 * Mtodo de creacin. Asigna el elemento.</p>
	 * 
	 * @param elemento
	 *            El elemento.
	 */
	public NoParameterException(String elemento) {
		this.elemento = elemento;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * edu.uoc.myst.exception.exceptions.MystException#getLocalizedMessage(java
	 * .util.Locale)
	 */
	public String getLocalizedMessage(Locale localization) {
		Object[] messageArguments = { elemento };
		return I18N.getMessage("ExceptionBundle", "noElement",
				messageArguments, localization);
	}
}
