package edu.uoc.myst.exception;

import java.util.Locale;

import edu.uoc.myst.international.I18N;

/**
 * Excepcin causada cuando una ruta a un recurso no accede a un recurso real.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class NoPathException extends MystException {

	private static final long serialVersionUID = 1L;

	/**
	 * La ruta.
	 */
	private String path;

	/**
	 * Mtodo de creacin. Asigna la ruta.</p>
	 * 
	 * @param path
	 *            La ruta.
	 */
	public NoPathException(String path) {
		this.path = path;
	}

	/**
	 * Obtiene de un bundle la versin regionalizada del mensaje de error.</p>
	 * 
	 * @param localization
	 *            La regin.
	 * @return El mensaje regionalizado.
	 */
	public String getLocalizedMessage(Locale localization) {
		Object[] messageArguments = { path };
		return I18N.getMessage("ExceptionBundle", "noPath",
				messageArguments, localization);
	}}