package edu.uoc.myst.exception;

import java.util.Locale;

import edu.uoc.myst.international.I18N;

/**
 * Excepcin causada cuando un objeto de una clase no puede ser regionalizado
 * automticamente por el filtro
 * {@link edu.uoc.myst.filter.InternationalFormatFilter
 * InternationalFormatFilter}.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class NotFormattableException extends MystException {

	private static final long serialVersionUID = 1L;

	/**
	 * El nombre de la clase.
	 */
	private String className;

	/**
	 * Mtodo de creacin. Asigna la clase.</p>
	 * 
	 * @param className
	 *            El nombre de la clase.
	 */
	public NotFormattableException(String className) {
		this.className = className;
	}

	/* (non-Javadoc)
	 * @see edu.uoc.myst.exception.exceptions.MystException#getLocalizedMessage(java.util.Locale)
	 */
	public String getLocalizedMessage(Locale localization) {
		Object[] messageArguments = { className };
		return I18N.getMessage("ExceptionBundle", "notFormattable",
				messageArguments, localization);
	}
}
