package edu.uoc.myst.exception;

import java.util.Locale;

import edu.uoc.myst.international.I18N;

/**
 * Excepcin causada cuando la clase de un comando no puede ser encontrada en la
 * aplicacin.
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class NotSuchCommandException extends MystException {

	private static final long serialVersionUID = 1L;

	/**
	 * El nombre de la clase del comando.
	 */
	private String command;

	/**
	 * Mtodo de creacin. Asigna la clase del comando.</p>
	 * 
	 * @param command
	 *            El nombre de la clase del comando.
	 */
	public NotSuchCommandException(String command) {
		this.command = command;
	}

	/* (non-Javadoc)
	 * @see edu.uoc.myst.exception.exceptions.MystException#getLocalizedMessage(java.util.Locale)
	 */
	public String getLocalizedMessage(Locale localization) {
		Object[] messageArguments = { command };
		return I18N.getMessage("ExceptionBundle", "notCommand",
				messageArguments, localization);
	}
}
