package edu.uoc.myst.exception;

import java.util.Locale;

import edu.uoc.myst.international.I18N;

/**
 * Excepcin causada cuando una ruta a un recurso no respeta la sintaxis
 * definida por el mtodo
 * {@link edu.uoc.myst.auxiliary.RegExTools#getElement(String, Object)
 * getElement} de {@link edu.uoc.myst.auxiliary.RegExTools RegExTools}.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class WrongPatternException extends MystException {

	private static final long serialVersionUID = 1L;

	/**
	 * La ruta.
	 */
	private String pattern;

	/**
	 * Mtodo de creacin. Asigna la ruta.</p>
	 * 
	 * @param pattern
	 *            La ruta.
	 */
	public WrongPatternException(String pattern) {
		this.pattern = pattern;
	}

	/**
	 * Obtiene de un bundle la versin regionalizada del mensaje de error.</p>
	 * 
	 * @param localization
	 *            La regin.
	 * @return El mensaje regionalizado.
	 */
	public String getLocalizedMessage(Locale localization) {
		Object[] messageArguments = { pattern };
		return I18N.getMessage("ExceptionBundle", "wrongPattern",
				messageArguments, localization);
	}}