package edu.uoc.myst.view;

/**
 * Clase abstracta que permite definir las diferentes vistas. Toda vista que utilice el
 * framework Myst debe extender esta clase, o implementar la interfaz
 * {@link View}.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 *
 */
public abstract class AbstractView implements View {

	private String next;
	
	/* (non-Javadoc)
	 * @see edu.uoc.myst.view.View#getNext()
	 */
	public String getNext() {
		return next;
	}
	
	/* (non-Javadoc)
	 * @see edu.uoc.myst.view.View#setNext(java.lang.String)
	 */
	public void setNext(String next) {
		this.next = next;
	}
}
