package edu.uoc.myst.view;

import java.io.IOException;

import javax.servlet.ServletException;

import edu.uoc.myst.core.ContextObject;

/**
 * Vista que realiza una operacin de reenvo.</p>
 * 
 * Un reenvo es realizado de forma interna por el servlet, por lo que pasa
 * desapercibido para el navegador y la URL original se mantiene intacta. Una
 * recarga del navegador en la pgina resultante repetir la peticin original,
 * con la misma URL.</p>
 * 
 * No debe utilizarse si la peticin original modifica datos en un almacn.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class ForwardView extends AbstractView {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.uoc.myst.view.View#show(edu.uoc.myst.view.ViewHelper,
	 * edu.uoc.myst.core.ContextObject)
	 */
	public void show(ViewHelper viewHelper, ContextObject contextObject)
			throws ServletException, IOException {
		contextObject
				.getRequest()
				.getRequestDispatcher(getNext())
				.forward(contextObject.getRequest(),
						contextObject.getResponse());
	}
}
