package edu.uoc.myst.view;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;

import edu.uoc.myst.core.ContextObject;

/**
 * Vista que realiza una escritura "en crudo" directamente en la salida.
 * Utilizada para mostrar los errores no tratables por los gestores definidos en
 * la aplicacin.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class RawView {

	/**
	 * Muestra la cadena en el navegador.</p>
	 * 
	 * @param string
	 *            Cadena a mostrar por pantalla.
	 * @param contextObject
	 *            Contexto de la peticin HTTP.
	 * @throws ServletException
	 * @throws IOException
	 */
	public void show(String string, ContextObject contextObject)
			throws ServletException, IOException {
		HttpServletResponse response = contextObject.getResponse();
		response.reset();
		response.setContentType("text/html;charset=iso-8859-1");
		ServletOutputStream out = response.getOutputStream();
		out.println(string);
		out.close();
	}
}
