package edu.uoc.myst.view;

import java.io.IOException;
import javax.servlet.ServletException;
import edu.uoc.myst.core.ContextObject;

/**
 * Vista que realiza una operacin de redireccin.</p>
 * 
 * En una redireccin la aplicacin solicita al navegador que obtenga una
 * segunda URL, distinta de la original. Por tanto, una recarga del navegador en
 * la pgina resultante no repetir la peticin original, sino que obtendr la
 * segunda URL.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class RedirectView extends AbstractView {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.uoc.myst.view.View#show(edu.uoc.myst.view.ViewHelper,
	 * edu.uoc.myst.core.ContextObject)
	 */
	public void show(ViewHelper viewHelper, ContextObject contextObject)
			throws ServletException, IOException {
		contextObject.getResponse().sendRedirect(
				contextObject.getRequest().getContextPath() + getNext());
	}

}
