package command;

import java.util.Locale;

import edu.uoc.myst.auxiliary.Constants;
import edu.uoc.myst.command.AbstractCommand;

/**
 * Comando que cambia el idioma usado por la aplicacin de prueba. Alterna
 * entre las lenguas inglesa y espaola.
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class ChangeLanguage extends AbstractCommand {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.uoc.myst.command.Command#execute()
	 */
	public String execute() {
		Locale locale = contextObject.getLocalization();
		
		if (locale.getLanguage().equals(new Locale("es").getLanguage())) {
			// Si la lengua definida es inglesa asigna la espaola al contexto.
			contextObject.setLocalization(new Locale("en"));
			
		} else {
			// Si la lengua definida es espaola asigna la inglesa al contexto.
			contextObject.setLocalization(new Locale("es"));
		}
		return Constants.SUCCESS;
	}

}
