package command;

import edu.uoc.myst.auxiliary.Constants;
import edu.uoc.myst.command.AbstractCommand;
import form.InheritedTestForm;

/**
 * Comando que extiende el abstracto definido por el framework Myst. Utiliza un
 * formulario que tambin extiende el definido por el framework, y a travs suyo
 * lee una cadena recibida por la peticin, la transforma, y aade al objeto
 * ViewHelper la original y la transformada.
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class InheritedCommand extends AbstractCommand {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.uoc.myst.command.Command#execute()
	 */
	public String execute() {

		// Formulario asociado.
		InheritedTestForm formBean = (InheritedTestForm) getFormBean();

		// Se lee la cadena del formulario.
		String string = formBean.getCadena();

		// Se aaden las dos cadenas al objeto ViewHelper.
		viewHelper.addParameter("cadenaInicial", string);
		viewHelper.addParameter("cadenaFinal", string.concat(" Strong"));
		return Constants.SUCCESS;
	}

}
