package command;

import edu.uoc.myst.auxiliary.Constants;
import edu.uoc.myst.command.AbstractCommand;
import edu.uoc.myst.exception.NoViewException;
import form.InheritedTestForm;

/**
 * Clase que aade un objeto no formatable (una excepcin) al ViewHelper, para
 * comprobar que se produce un error al no poderse formatear con el filtro
 * InternationalFormatFilter.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class NotFormattableCommand extends AbstractCommand {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.uoc.myst.command.Command#execute()
	 */
	public String execute() {
		// El formulario asociado al comando.
		InheritedTestForm formBean = (InheritedTestForm) getFormBean();

		// Se recupera una cadena del formulario.
		String string = formBean.getCadena();

		// se aaden dos cadenas, no problemticas, el ViewHelper.
		viewHelper.addParameter("cadenaInicial", string);
		viewHelper.addParameter("cadenaFinal", string.concat(" Strong"));

		/*
		 * Se aade una excepcin al ViewHelper. al intentar Internacionlizarse
		 * lanzar uan excepcin.
		 */
		viewHelper.addParameter("excepcion", new NoViewException("excepcion",
				"excepcion"));
		return Constants.SUCCESS;
	}

}
