package form;

/**
 * Formulario tipo POJO que nicamente implementa mtodos getter y setter para
 * sus atributos. En la aplicacin se utiliza como un bean de negocio, se hace
 * disponible a las pginas JSP a travs del ViewHelper.</p>
 * 
 * Al cumplir con las especificaciones de un objeto tipo form, no solo puede
 * albergarse en un ViewHelper, sino que tambin se puede aplicar el filtro
 * InternationalFormatFilter sobre l.</p>
 * 
 * @author Miguel Souto Bartolom
 * @version 1.0 13/01/2014
 * 
 */
public class ObjectoNegocio {

	/**
	 * Un entero.
	 */
	private int numero;

	/**
	 * Una cadena.
	 */
	private String cadena;

	/**
	 * Una array de enteros.
	 */
	private int[] arraigo;

	/**
	 * Un nmero tipo doble.
	 */
	private double doble;

	/**
	 * Mtodo de creacin. Asigna los atributos.
	 * 
	 * @param i
	 *            El entero.
	 * @param string
	 *            La cadena.
	 * @param myIntArray
	 *            El array de enteros.
	 * @param d
	 *            El doble.
	 */
	public ObjectoNegocio(int i, String string, int[] myIntArray, double d) {
		this.numero = i;
		this.cadena = string;
		this.arraigo = myIntArray;
		this.doble = d;
	}

	/**
	 * Getter para el entero.
	 * 
	 * @return l entero.
	 */
	public int getNumero() {
		return numero;
	}

	/**
	 * Setter para el entero.
	 * 
	 * @param numero
	 *            l entero.
	 */
	public void setNumero(int numero) {
		this.numero = numero;
	}

	/**
	 * Getter para la cadena.
	 * 
	 * @return La cadena.
	 */
	public String getCadena() {
		return cadena;
	}

	/**
	 * Setter para la cadena.
	 * 
	 * @param cadena
	 *            La cadena.
	 */
	public void setCadena(String cadena) {
		this.cadena = cadena;
	}

	/**
	 * Getter para el array de enteros.
	 * 
	 * @return El array de enteros.
	 */
	public int[] getArraigo() {
		return arraigo;
	}

	/**
	 * Setter para el array de enteros.
	 * 
	 * @param arraigo
	 *            El array de enteros.
	 */
	public void setArraigo(int[] arraigo) {
		this.arraigo = arraigo;
	}

	/**
	 * Getter para el doble.
	 * 
	 * @return El doble.
	 */
	public double getDobler() {
		return doble;
	}

	/**
	 * Setter para el doble.
	 * 
	 * @param doble
	 *            El doble.
	 */
	public void setDoble(double doble) {
		this.doble = doble;
	}
}
