<!-- Pgina con las peticiones que producen errores. Las excepciones se muestran en la pgina
	internationalError.jsp -->

<html>
<head>
	<!-- La cabecera -->
	<%@include file="/jsp/header.jsp"%>
</head>
<body>
	
	<!-- Comando y formulario no concuerdan, no son los mismos que en el archivo
		de configuracin: NoSuchMethodException que arrastra otras excepciones del framework -->
	<p><a href="sinConcordancia.do?cadena=String&cadena2=45"><myst:i18n
				message="sinConcordancia" bundle="/bundles/TestBundle" />
	</a></p>
	
	<!-- La peticin enva un parmetro como String en lugar del nmero esperado: 
		de configuracin: ConversionException que arrastra otras excepciones del framework -->
	<p><a href="stringOnumero.do?numero=string"><myst:i18n
				message="conversionError" bundle="/bundles/TestBundle" />
	</a></p>
	
	<!-- El comando no tiene asociada una vista a su respuesta: NoViewException -->
	<p><a href="sinVista.do?numero=521"><myst:i18n message="sinVista"
				bundle="/bundles/TestBundle" />
	</a></p>
	
	<!-- El formulario asociado al comando no existe: NotSuchFormException -->
	<p><a href="formularioNoExiste.do?numero=521"><myst:i18n
				message="noForm" bundle="/bundles/TestBundle" />
	</a></p>
	
	<!-- El comando no existe: NotSuchCommandException -->
	<p><a href="noHeredado.do.do?numero=521"><myst:i18n
				message="noCommand" bundle="/bundles/TestBundle" />
	</a></p>
	
	<!-- El filtro utilizado por el comando no existe: NotSuchCommandException -->
	<p><a href="noFilter.do?numero=521"><myst:i18n
				message="noFilter" bundle="/bundles/TestBundle" />
	</a></p>
	
	<!-- La clase del filtro no existe: ClassNotFoundException -->
	<p><a href="noFilter2.do?numero=521"><myst:i18n
				message="noFilter2" bundle="/bundles/TestBundle" />
	</a></p>
	
	<!-- El comando aade un objeto a ViewHelper que no es formateable por
		 InternationalFormatFilter, y se usa el filtro: NotFormattableException -->
	<p><a href="notFormattable.do?cadena=String"><myst:i18n
				message="notFormattable" bundle="/bundles/TestBundle" />
	</a></p>
	
	<!-- El comando no produce error, pero la pgina badPath.jsp utiliza el tag Form
		 con una ruta que no existe: NoPathException -->
	<p><a href="badPath.do?cadena=String"><myst:i18n
				message="badPath" bundle="/bundles/TestBundle" />
	</a></p>
	
	<!-- El comando no produce error, pero la pgina badPattern.jsp utiliza el tag Form
		 con una ruta que no respeta la sintaxis: WrongPatternException -->
	<p><a href="badPattern.do?numero=521"><myst:i18n
				message="badPattern" bundle="/bundles/TestBundle" />
	</a></p>
</body>
</html>